/// Copyright (c) 2004-2007, Needlworks / Tatter Network Foundation
/// All rights reserved. Licensed under the GPL.
/// See the GNU General Public License for more details. (/doc/LICENSE, /doc/COPYRIGHT)

var commonString_delete = "삭제";
var commonString_cancel = "취소";
var commonString_close = "닫기";
var commonString_saving = "저장하고 있습니다.";
var commonString_success = "제품을 잘 저장했습니다.";
var commonString_error = "저장하지 못했습니다.";
var commonString_cartError = "장바구니를 불러오지 못했습니다.";
var commonString_remove = "장바구니 제품을 모두 삭제했습니다.";

djConfig.parseWidgets = false;

dojo.require("dojo.dnd.HtmlDragAndDrop");
dojo.require("dojo.widget.Parse");
dojo.require("dojo.widget.Dialog");	

var globalChker = true;
var globalNewNodeCounter = 0;
var dlg;

dojo.widget.defineWidget( "dojo.widget.popupWindow", dojo.widget.Dialog,
	{
		templatePath: "",
		loadContents: function() {
			this.containerNode = this.domNode;
			return;
		},
		setContent: function(/*String*/ data){
			this.domNode.innerHTML = data;
		},
		placeModalDialog: function() {
			var scroll_offset = dojo.html.getScroll().offset;
			var viewport_size = dojo.html.getViewport();
			
			// find the size of the dialog
			var mb = dojo.html.getMarginBox(this.containerNode);
			if (mb.width<200) mb.width = 200;
			if (mb.height<200) mb.height = 200;
			
			var x = scroll_offset.x + (viewport_size.width - mb.width)/2;
			var y = scroll_offset.y + (viewport_size.height - mb.height)/2;

			with(this.domNode.style){
				left = x + "px";
				top = y + "px";
			}
		}
	}
);

function photoNmediaSearchPop(){
	var requestURL = blogURL + "/pluginForOwner/mediaSearchView/";
	var request = new HTTPRequest("GET", requestURL);
	request.onSuccess = function () {
		if (dlg != null) {
			dlg.setContent(this._request.responseText);
			dlg.show();
		}
	}
	request.onError = function () {
		globalChker = false;
	}
	request.onVerify = function () {
		return true;
	}
	request.send();
}

function mediaSelectedTab(selectStr, unselectStr){
	var selectedLogoObj = document.getElementById("media"+selectStr+"Logo");
	var unSelectedLogoObj = document.getElementById("media"+unselectStr+"Logo");
	var mediaSearchFrameObj = document.getElementById("mediaSearchFrame");

	if (selectedLogoObj.className != "media"+selectStr+"LogoSelected") {
		selectedLogoObj.className = "media"+selectStr+"LogoSelected";
		mediaSearchFrameObj.src = blogURL + "/pluginForOwner/"+selectStr+"SearchView/";
	}
	unSelectedLogoObj.className = "media"+unselectStr+"LogoUnselected";
}
